Libical API Documentation 3.0

Functions
icalproperty.h File Reference

Go to the source code of this file.

## Functions
icalproperty * | icalparameter_get_parent (icalparameter *param)
void | icalparameter_set_parent (icalparameter *param, icalproperty *property)
icalvalue_kind | icalparameter_value_to_value_kind (icalparameter_value value)
void | icalproperty_add_parameter (icalproperty *prop, icalparameter *parameter)
void | icalproperty_add_parameters (struct icalproperty_impl *prop, va_list args)
const char * | icalproperty_as_ical_string (icalproperty *prop)
char * | icalproperty_as_ical_string_r (icalproperty *prop)
int | icalproperty_count_parameters (const icalproperty *prop)
int | icalproperty_enum_belongs_to_property (icalproperty_kind kind, int e)
const char * | icalproperty_enum_to_string (int e)
char * | icalproperty_enum_to_string_r (int e)
void | icalproperty_free (icalproperty *prop)
icalparameter * | icalproperty_get_first_parameter (icalproperty *prop, icalparameter_kind kind)
icalparameter * | icalproperty_get_next_parameter (icalproperty *prop, icalparameter_kind kind)
const char * | icalproperty_get_parameter_as_string (icalproperty *prop, const char *name)
char * | icalproperty_get_parameter_as_string_r (icalproperty *prop, const char *name)
const char * | icalproperty_get_property_name (const icalproperty *prop)
char * | icalproperty_get_property_name_r (const icalproperty *prop)
icalvalue * | icalproperty_get_value (const icalproperty *prop)
const char * | icalproperty_get_value_as_string (const icalproperty *prop)
char * | icalproperty_get_value_as_string_r (const icalproperty *prop)
const char * | icalproperty_get_x_name (icalproperty *prop)
icalproperty_kind | icalproperty_isa (icalproperty *property)
int | icalproperty_isa_property (void *property)
int | icalproperty_kind_and_string_to_enum (const int kind, const char *str)
int | icalproperty_kind_is_valid (const icalproperty_kind kind)
const char * | icalproperty_kind_to_string (icalproperty_kind kind)
icalvalue_kind | icalproperty_kind_to_value_kind (icalproperty_kind kind)
const char * | icalproperty_method_to_string (icalproperty_method method)
icalproperty * | icalproperty_new (icalproperty_kind kind)
icalproperty * | icalproperty_new_clone (icalproperty *prop)
icalproperty * | icalproperty_new_from_string (const char *str)
icalproperty * | icalproperty_new_impl (icalproperty_kind kind)
void | icalproperty_normalize (icalproperty *prop)
void | icalproperty_remove_parameter_by_kind (icalproperty *prop, icalparameter_kind kind)
| Removes all parameters with the specified kind. More...
void | icalproperty_remove_parameter_by_name (icalproperty *prop, const char *name)
| Removes all parameters with the specified name. More...
void | icalproperty_remove_parameter_by_ref (icalproperty *prop, icalparameter *param)
| Removes the specified parameter reference from the property. More...
void | icalproperty_set_parameter (icalproperty *prop, icalparameter *parameter)
void | icalproperty_set_parameter_from_string (icalproperty *prop, const char *name, const char *value)
void | icalproperty_set_value (icalproperty *prop, icalvalue *value)
void | icalproperty_set_value_from_string (icalproperty *prop, const char *value, const char *kind)
void | icalproperty_set_x_name (icalproperty *prop, const char *name)
const char * | icalproperty_status_to_string (icalproperty_status)
icalproperty_kind | icalproperty_string_to_kind (const char *string)
icalproperty_method | icalproperty_string_to_method (const char *str)
icalproperty_status | icalproperty_string_to_status (const char *string)
icalproperty_kind | icalproperty_value_kind_to_kind (icalvalue_kind kind)
icalproperty * | icalvalue_get_parent (icalvalue *value)
void | icalvalue_set_parent (icalvalue *value, icalproperty *property)

## Function Documentation

## ◆ icalparameter_get_parent()

icalproperty * icalparameter_get_parent | ( | icalparameter * | param | ) |

Returns the parent `icalproperty` for the specified `icalparameter`.

Since
  3.0

## ◆ icalparameter_set_parent()

void icalparameter_set_parent | ( | icalparameter * | param,
|  | icalproperty * | property
| ) |  |

Sets the parent `icalproperty` for the specified `icalparameter`.

Since
  3.0

## ◆ icalproperty_get_property_name()

const char * icalproperty_get_property_name | ( | const icalproperty * | prop | ) |

Returns the name of the property – the type name converted to a string, or the value of _get_x_name if the type is and X property

## ◆ icalproperty_kind_is_valid()

int icalproperty_kind_is_valid | ( | const icalproperty_kind | kind | ) |

Check validity of a specific icalproperty_kind

## ◆ icalproperty_normalize()

void icalproperty_normalize | ( | icalproperty * | prop | ) |

Normalizes (reorders and sorts the parameters) the specified `icalproperty`.

Since
  3.0

## ◆ icalproperty_remove_parameter_by_kind()

void icalproperty_remove_parameter_by_kind | ( | icalproperty * | prop,
|  | icalparameter_kind | kind
| ) |  |

Removes all parameters with the specified kind.

Parameters

  prop | A valid icalproperty.
  kind | The kind to remove (ex. ICAL_TZID_PARAMETER)

See icalproperty_remove_parameter_by_name() and icalproperty_remove_parameter_by_ref() for alternate ways of removing parameters

## ◆ icalproperty_remove_parameter_by_name()

void icalproperty_remove_parameter_by_name | ( | icalproperty * | prop,
|  | const char * | name
| ) |  |

Removes all parameters with the specified name.

Parameters

  prop | A valid icalproperty.
  name | The name of the parameter to remove

This function removes parameters with the given name. The name corresponds to either a built-in name (TZID, etc.) or the name of an extended parameter (X-FOO)

See icalproperty_remove_parameter_by_kind() and icalproperty_remove_parameter_by_ref() for alternate ways of removing parameters

## ◆ icalproperty_remove_parameter_by_ref()

void icalproperty_remove_parameter_by_ref | ( | icalproperty * | prop,
|  | icalparameter * | param
| ) |  |

Removes the specified parameter reference from the property.

Parameters

  prop | A valid icalproperty.
  parameter | A reference to a specific icalparameter.

This function removes the specified parameter reference from the property.

## ◆ icalvalue_get_parent()

icalproperty * icalvalue_get_parent | ( | icalvalue * | value | ) |

Returns the parent `icalproperty` for the specified `icalvalue`.

Since
  3.0

## ◆ icalvalue_set_parent()

void icalvalue_set_parent | ( | icalvalue * | value,
|  | icalproperty * | property
| ) |  |

Sets the parent `icalproperty` for the specified `icalvalue`.